# CMS Management

A management site for the [Claremont MakerSpace](https://claremontmakerspace.org)

## Development

1. Get Python 3.9 and [PDM](https://pdm.fming.dev/)
2. Run `pdm install`
3. Copy `./cmsmanage/settings/dev.sample.py` to `./cmsmanage/settings/dev.py`
4. Run `pdm run ./manage.py migrate` to create database tables
5. (Optional) If you have access to the production server, you can use real data:
   1. `pdm run ./manage.py dumpdata -o whatever.json` (on the server)
   2. `pdm run ./manage.py loaddata whatever.json` (on your machine)
6. Run `pdm run ./manage.py createsuperuser` to make a user
7. Run `pdm run ./manage.py runserver` to start the server
