from datetime import timedelta

from django import template

register = template.Library()


@register.filter
def duration_as_hours(td: timedelta) -> str | None:
    if td is None:
        return None
    return td.total_seconds() / 60 / 60
